Bug 1120880

Summary: [abrt] WARNING: CPU: 2 PID: 73 at lib/list_debug.c:59 __list_del_entry+0xa1/0xd0()
Product: [Fedora] Fedora Reporter: Bill Gianopoulos <wgianopoulos>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, mchehab
Target Milestone: ---Flags: jforbes: needinfo?
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/77fffc13d672724ae4deb99ad583b0c00973fb2b
Whiteboard: abrt_hash:bc052522ca5668fe9af3e2fac6dd18164b05a55f
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-12-10 14:57:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: dmesg none

Description Bill Gianopoulos 2014-07-17 21:57:54 UTC
Additional info:
reporter:       libreport-2.2.2
WARNING: CPU: 2 PID: 73 at lib/list_debug.c:59 __list_del_entry+0xa1/0xd0()
list_del corruption. prev->next should be ffff88018c1b51d0, but was ffffc8018c1b51d0
Modules linked in: bnep bluetooth ip6t_rpfilter ip6t_REJECT xt_conntrack cfg80211 rfkill ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw kvm_amd kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec nfsd snd_hwdep snd_seq snd_seq_device snd_pcm r8169 mii auth_rpcgss ppdev tpm_infineon tpm_tis parport_pc microcode nfs_acl lockd snd_timer snd sp5100_tco soundcore i2c_piix4 shpchp edac_core edac_mce_amd fam15h_power k10temp
serio_raw wmi parport tpm acpi_cpufreq sunrpc ata_generic pata_acpi radeon i2c_algo_bit drm_kms_helper ttm pata_atiixp drm i2c_core
CPU: 2 PID: 73 Comm: kswapd0 Not tainted 3.15.4-200.fc20.x86_64 #1
Hardware name: MSI MS-7641/760GM-P23(FX) (MS-7641)    , BIOS V17.15 04/28/2013
0000000000000000 00000000a5bc4a21 ffff8802132c3aa0 ffffffff816ef2b1
ffff8802132c3ae8 ffff8802132c3ad8 ffffffff8108934d ffff88018c1b51d0
ffff8801dd6232c0 ffff88018c1b5198 ffff88018c1b5140 0000000000000000
Call Trace:
[<ffffffff816ef2b1>] dump_stack+0x45/0x56
[<ffffffff8108934d>] warn_slowpath_common+0x7d/0xa0
[<ffffffff810893cc>] warn_slowpath_fmt+0x5c/0x80
[<ffffffff813664d1>] __list_del_entry+0xa1/0xd0
[<ffffffff8136650d>] list_del+0xd/0x30
[<ffffffff811fcd0a>] __dentry_kill+0x6a/0x1c0
[<ffffffff811fd14c>] shrink_dentry_list+0xfc/0x260
[<ffffffff811fea26>] prune_dcache_sb+0x56/0x80
[<ffffffff811e9917>] super_cache_scan+0xe7/0x160
[<ffffffff81182e18>] shrink_slab_node+0x138/0x290
[<ffffffff81184b4b>] shrink_slab+0x8b/0x170
[<ffffffff811876b6>] kswapd_shrink_zone+0x146/0x1f0
[<ffffffff81188a30>] kswapd+0x4a0/0x8a0
[<ffffffff81188590>] ? mem_cgroup_shrink_node_zone+0x160/0x160
[<ffffffff810ac538>] kthread+0xd8/0xf0
[<ffffffff810ac460>] ? insert_kthread_work+0x40/0x40
[<ffffffff816ff23c>] ret_from_fork+0x7c/0xb0
[<ffffffff810ac460>] ? insert_kthread_work+0x40/0x40

Comment 1 Bill Gianopoulos 2014-07-17 21:57:57 UTC
Created attachment 918848 [details]
File: dmesg

Comment 2 Justin M. Forbes 2014-11-13 15:56:06 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2014-12-10 14:57:37 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.